System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.ChannelManagerBase System.ServiceModel.Channels.IChannelListener

The channel listeners on the service wait for and then accept the channels created by factories on the client. Once the channel connection is established between client and service, messages can be exchanged and distributed applications can communicate. The processing functionality provided by the listener is layered into a stacked set of channel listeners to provide modularity when selecting the indigo1 features to deploy. Each channel listener in the service stack corresponds to a channel factory in the client stack. The channel created by the factory is really a stack of channels that are accepted and processed by the stack of listeners on the service.

Provides a common base implementation for channel listeners on the service.

- Constructor
  4.0.0.0

  The default constructor initializes timeout properties with the service model timeout values when exchanging messages. The default value is 1 minute for open, send, and close operations and 10 minutes for the receive operation. Use if you want to specify other values for these operation timeouts.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use instead of the default constructor if you want to specify custom values for the open, send, receive, and close operation timeouts instead of using the service model default values.

  Initializes a new instance of the class with specified default communication timeouts.

  The that specify the default timeouts for open, send, receive, and close operations when exchanging messages.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  When implemented in a derived class, begins an asynchronous operation to wait for a channel to arrive.

  The that references the asynchronous wait for a channel operation.

  The that specifies how long the wait for a channel operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the wait for a channel operation. An object, specified by the application, that contains state information associated with the asynchronous wait for a channel operation.
- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 1 minute. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for a close operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 1 minute. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for an open operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 10 minutes. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for a receive operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This value is set when creating a new object. The default constructor sets the property to a value of 1 minute. Use if you want to specify another value for this timeout.

  Gets the default interval of time provided for a send operation to complete.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  When implemented in a derived class, completes an asynchronous operation to wait for channels to arrive.

  true if a message arrived; otherwise false.

  The returned by a call to the method.
- Method
  4.0.0.0
  T ReferenceTypeConstraint

  Use this to request a typed object such as an interface for setting properties or getting status from the appropriate layer in the channel listener stack. If a layer supports returning the requested object, it returns it. If not, it simply delegates the call down to the next layer in the stack. If it gets to the bottom of the stack and no layer supported the requested object, then the method returns null.

  Returns a typed object requested, if present, from the appropriate layer in the channel stack.

  The typed object T requested if it is present or null if it is not.

  The typed object for which the method is querying.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  When implemented in a derived class, provides a point of extensibility when starting to wait for a channel to arrive.

  The that references the asynchronous on begin wait operation.

  The that specifies how long the on begin wait operation has to complete before timing out. The delegate that receives the notification of the asynchronous operation on begin wait completion. An object, specified by the application, that contains state information associated with the asynchronous on begin wait operation.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  When implemented in a derived class, provides a point of extensibility when ending the waiting for a channel to arrive.

  true if the method completed before the interval of time specified by the expired; otherwise false.

  The returned by a call to the method.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  When overridden in a derived class, provides a point of extensibility when waiting for a channel to arrive.

  true if the method completed before the interval of time specified by the expired; otherwise false.

  The that specifies how long the on wait for a channel operation has to complete before timing out.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added. To be added.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added. To be added.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added. To be added.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Uri To be added. To be added.

  When implemented in derived class, gets the URI on which the channel listener listens for an incoming channel.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  When implemented in a derived class, waits for a channel to arrive.

  true if a channel arrived before the interval of time specified by the expired; otherwise false.

  The that specifies how long the wait for a channel operation has to complete before timing out.